##### 7.7.14.0. admissibleSub

Procedure from library `ncpreim.lib` (see ncpreim_lib).

Usage:
  admissibleSub(v); v intvec

Assume:
  The entries of v are in the range 1..nvars(basering).

Return:
  int, 1 if the variables indexed by the entries of v form an admissible subalgebra, 0 otherwise

Example:

    LIB "ncpreim.lib";
    ring r = 0,(e,f,h),dp;
    matrix d[3][3];
    d[1,2] = -h; d[1,3] = 2*e; d[2,3] = -2*f;
    def A = nc_algebra(1,d);
    setring A; A; // A is U(sl_2)
    ==> //   characteristic : 0
    ==> //   number of vars : 3
    ==> //        block   1 : ordering dp
    ==> //                  : names    e f h
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    fe=ef-h
    ==> //    he=eh+2e
    ==> //    hf=fh-2f
    // the subalgebra generated by e,f is not admissible since [e,f]=h
    admissibleSub(1..2);
    ==> 0
    // but the subalgebra generated by f,h is admissible since [f,h]=2f
    admissibleSub(2..3);
    ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.